For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Global Payroll
    • Introduction
    • Time Tracking
    • Adjustments
  • Common Use Cases
    • Reimburse expenses
  • Endpoints
      • POSTAdd bank account
      • POSTAdd GP Workers Additional Information
      • PATCHModify bank account
      • GETRetrieve bank accounts
      • GETRetrieve bank guide
      • PATCHUpdate address
      • PATCHUpdate compensation
      • PATCHUpdate employee information
      • PATCHUpdate GP Workers Additional Information
      • PATCHUpdate PTO policy
LogoLogo
SupportDeel Home
EndpointsWorker Information

Add bank account

POST
/gp/workers/:worker_id/banks
POST
/rest/v2/gp/workers/:worker_id/banks
$curl -X POST https://api.letsdeel.com/rest/v2/gp/workers/6f50539e-9f62-45d0-a42e-62a62fbb984a/banks \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {}
>}'
1{
2 "data": {
3 "id": "6f50539e-9f62-45d0-a42e-62a62fbb984a",
4 "status": "success",
5 "created_at": "2022-05-24T09:38:46.235Z",
6 "updated_at": "2022-05-24T09:38:46.235Z"
7 }
8}

Adds a bank account for the GP worker; country-specific field requirements must be retrieved from GET /gp/workers/{worker_id}/banks/guide before submitting. Token scopes: people:write

Was this page helpful?
Previous

Add GP Workers Additional Information

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

worker_idstringRequiredformat: "uuid"
Unique identifier for a worker in UUID format.

Request

Request body containing the details of the bank account to be added.
dataobjectRequired

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication